Summary:	Enables the spamd at boot time.
Name:		spamassassin-enable
Version:	3.0.0
Release:	1.intergenia
License:	GPL
Group:		Applications/Internet
URL:		http://spamassassin.apache.org/
Vendor:		Intergenia AG
Packager:	Maik Broemme <mbroemme@plusserver.de>
Requires:	chkconfig >= 1.3.11.1, spamassassin >= 3.0.0

%description
This package enables the spamassassin daemon at boot time in the
default runlevels.

%post
/sbin/chkconfig spamassassin on

# enable tuning for virtuozzo.
cat /etc/sysconfig/spamassassin | sed -e 's/^SPAMDOPTIONS.*/SPAMDOPTIONS="-d -c -m1 -H"/' > /etc/sysconfig/spamassassin.tmp
mv /etc/sysconfig/spamassassin.tmp /etc/sysconfig/spamassassin

# enabling spamd for all local users.
if [ -f /etc/procmailrc ]; then
	cat /etc/procmailrc | grep -q "DROPPRIVS" && cat /etc/procmailrc | sed -e 's/^DROPPRIVS.*/DROPPRIVS=yes/' > /etc/procmailrc.tmp && mv /etc/procmailrc.tmp /etc/procmailrc || echo "DROPPRIVS=yes" >> /etc/procmailrc
	cat /etc/procmailrc | grep -q "INCLUDERC=/etc/mail/spamassassin/spamassassin-default.rc" || echo "INCLUDERC=/etc/mail/spamassassin/spamassassin-default.rc" >> /etc/procmailrc
else
	echo "INCLUDERC=/etc/mail/spamassassin/spamassassin-default.rc" > /etc/procmailrc
fi

# starting spamd
/etc/rc.d/init.d/spamassassin start > /dev/null 2>&1

%preun
/sbin/chkconfig spamassassin off

# stopping spamd
/etc/rc.d/init.d/spamassassin stop > /dev/null 2>&1

# disabling spamd for all local users.
if [ -f /etc/procmailrc ]; then
	cat /etc/procmailrc | sed -e 's/^DROPPRIVS.*/DROPPRIVS=no/' > /etc/procmailrc.tmp
	mv /etc/procmailrc.tmp /etc/procmailrc
	cat /etc/procmailrc | sed -e '/^INCLUDERC=\/etc\/mail\/spamassassin\/spamassassin-default.rc/d' > /etc/procmailrc.tmp
	mv /etc/procmailrc.tmp /etc/procmailrc

	# if file size is zero delete the file.
	if [ ! -s /etc/procmailrc ]; then
		rm /etc/procmailrc
	fi
fi

# disable tuning for virtuozzo.
cat /etc/sysconfig/spamassassin | sed -e 's/^SPAMDOPTIONS.*/SPAMDOPTIONS="-d -c -m5 -H"/' > /etc/sysconfig/spamassassin.tmp
mv /etc/sysconfig/spamassassin.tmp /etc/sysconfig/spamassassin

%files

%changelog
* Wed Nov 18 2004 Maik Broemme <mbroemme@plusserver.de> 3.0.0-1.intergenia
- initial version for fedora core 3
